C      NCLFORTSTART
       subroutine print_int(n, dat)
       integer n
       integer dat
       dimension dat(n)
C      NCLEND
       print *, dat
       end subroutine


C      NCLFORTSTART
       subroutine print_real(n, dat)
       integer n
       real dat
       dimension dat(n)
C      NCLEND
       print *, dat
       end subroutine

C  Fortran main
C      integer a
C      dimension a(5)
C      data a /1, 2, 3, 4, 5/

C      real b
C      dimension b(5)
C      data b /1., 2., 3., 4., 5./

C      call print_int(5, a)
C      call print_real(5, b)
C      end
